Bug 255641 - mail/postfix mail/postfix-ldap-sasl mail/postfix-sasl: Add FLAVORS: ldap_sasl sasl
Summary: mail/postfix mail/postfix-ldap-sasl mail/postfix-sasl: Add FLAVORS: ldap_sasl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2021-05-05 23:31 UTC by Yasuhiro Kimura
Modified: 2021-10-28 00:11 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (otis)


Attachments
Patch file (12.85 KB, patch)
2021-05-05 23:31 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (12.95 KB, patch)
2021-05-07 02:26 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (12.95 KB, patch)
2021-05-31 04:57 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (12.72 KB, patch)
2021-05-31 14:46 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (13.24 KB, patch)
2021-08-01 19:02 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (13.15 KB, patch)
2021-10-01 17:42 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-05-05 23:31:06 UTC
Created attachment 224713 [details]
Patch file

* Convert from salve ports to flavor.
* Pet portlint and portclippy.
* Reformat Makefile with portfmt.
Comment 1 Yasuhiro Kimura freebsd_committer 2021-05-07 02:26:10 UTC
Created attachment 224741 [details]
Updated patch file

Chase update of ports tree.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-05-31 04:57:12 UTC
Created attachment 225394 [details]
Updated patch file

Chase update of ports tree.
Comment 3 Li-Wen Hsu freebsd_committer 2021-05-31 05:47:09 UTC
Over to new maintainer
Comment 4 Yasuhiro Kimura freebsd_committer 2021-05-31 14:46:59 UTC
Created attachment 225407 [details]
Updated patch file

Divide COMMENT into common and FLAVOR dependent
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 02:54:52 UTC
^Triage: Maintainer timeout, reset assignee
Comment 6 Yasuhiro Kimura freebsd_committer 2021-08-01 19:02:04 UTC
Created attachment 226857 [details]
Updated patch file

Rename 'ldap-sasl' flavor to 'ldap' as SASL support for OpenLDAP ports is made permanent with ports 974e13b50148.
Comment 7 Yasuhiro Kimura freebsd_committer 2021-10-01 17:42:09 UTC
Created attachment 228328 [details]
Updated patch file

Chase update of ports tree.
Comment 8 commit-hook freebsd_committer 2021-10-28 00:07:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d356121270d7df92d8b863ad80b9874db59cd25e

commit d356121270d7df92d8b863ad80b9874db59cd25e
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-05-05 17:19:57 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-28 00:05:42 +0000

    mail/postfix{,-ldap-sasl,-sasl}: Flavorize

    * Add entries for slave ports to MOVED
    * Pet portlint and portclippy
    * Reformat Makefile with portfmt

    PR:             255641
    Approved by:    maintainer timeout (> 2 months)
    Differential Revision:  https://reviews.freebsd.org/D32361

 MOVED                                  |   2 +
 mail/Makefile                          |   2 -
 mail/postfix-ldap-sasl/Makefile (gone) |  13 ---
 mail/postfix-sasl/Makefile (gone)      |  12 --
 mail/postfix/Makefile                  | 193 ++++++++++++++++++---------------
 5 files changed, 106 insertions(+), 116 deletions(-)